Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class HypothesisTestMatchedPairs

    java.lang.Object
      org.statcato.statistics.inferential.HypothesisTestMatchedPairs

    public class HypothesisTestMatchedPairs

extends java.lang.Object

A hypothesis test for matched pairs,

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`HypothesisTestMatchedPairs(int n, double mu, double s, double confidenceLevel, int testType)` Constructor.

Method Summary
`java.lang.String` | `criticalValue()` Returns the critical value corresponding to the given confidence level and type of test.
`double` | `pValue(double dBar)` Returns the p-value corresponding to dBar in a t distribution.
`double` | `testStatistics(double dBar)` Returns the test statistics for the given sample mean of differences between matched pairs, dBar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypothesisTestMatchedPairs

    public HypothesisTestMatchedPairs(int n,
                                      double mu,
                                      double s,
                                      double confidenceLevel,
                                      int testType)

  Constructor.

  Parameters:
    `n` - sample size of differences between matched pairs
    `mu` - hypothesized mean of differences between matched pairs
    `s` - sample standard deviation of differences between matched pairs
    `confidenceLevel` - confidence level
    `testType` - (as defined in `HypothesisTest`)

Method Detail

### testStatistics

    public double testStatistics(double dBar)

  Returns the test statistics for the given sample mean of differences between matched pairs, dBar.

  t = (dBar - mu) / (s / sqrt(n))

  Parameters:
    `dBar` - sample mean
  Returns:
    test statistic t

### criticalValue

    public java.lang.String criticalValue()

  Returns the critical value corresponding to the given confidence level and type of test. Uses the t distribution.

  Returns:
    critical value
  See Also:
    `HypothesisTest`

### pValue

    public double pValue(double dBar)

  Returns the p-value corresponding to dBar in a t distribution.

  Parameters:
    `dBar` -
  Returns:
    p-value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD